#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Get CPU info with pure Python
Summary(pl.UTF-8):	Pobieranie informacji o CPU w czystym Pythonie
Name:		python3-py-cpuinfo
Version:	9.0.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/py-cpuinfo/
Source0:	https://files.pythonhosted.org/packages/source/p/py-cpuinfo/py-cpuinfo-%{version}.tar.gz
# Source0-md5:	b323b82dddf2e47bc554c124586c16dc
URL:		https://github.com/workhorsy/py-cpuinfo
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work
without any extra programs or libraries, beyond what your OS provides.
It does not require any compilation (C/C++, assembly, et cetera) to
use.

%description -l pl.UTF-8
Py-cpuinfo pobiera informacje o CPU z poziomu czystego Pythona.
Powinien działać bez dodatkowych programów czy bibliotek, tylko z tym,
co udostępnia system operacyjny. Nie wymaga żadnej kompilacji (C/C++,
asemblera itp.).

%prep
%setup -q -n py-cpuinfo-%{version}

%build
%py3_build

%if %{with tests}
%{__python3} test_suite.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install
%{__mv} $RPM_BUILD_ROOT%{_bindir}/cpuinfo{,-py3}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README.rst
%attr(755,root,root) %{_bindir}/cpuinfo-py3
%{py3_sitescriptdir}/cpuinfo
%{py3_sitescriptdir}/py_cpuinfo-%{version}-py*.egg-info
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-py-cpuinfo.git;a=log;h=master

* Sun Mar 16 2025 Jan Rękorajski <baggins@pld-linux.org> 0c7c6ef
- up to 9.0.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> cef2b30
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 588f182
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> a9db07c
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> d941e3e
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> eecebf3
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 4e05667
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 0820302
- updated to 8.0.0

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 2955724
- release 2 (by relup.sh)

* Tue Jan 21 2020 Jakub Bogusz <qboosh@pld-linux.org> ff1159f
- updated to 5.0.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 235b333
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Aug 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 70e92c4
- new

